PackedInts.Writer (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.packed, class: PackedInts, class: Writer

Package org.apache.lucene.util.packed

# Class PackedInts.Writer

java.lang.Object
org.apache.lucene.util.packed.PackedInts.Writer

Enclosing class:
  `PackedInts`

public abstract static class PackedInts.Writer extends Object
A write-once Writer.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `bitsPerValue`
  `protected final DataOutput`
  `out`
  `protected final int`
  `valueCount`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Writer(DataOutput out, int valueCount, int bitsPerValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `add(long v)`
  Add a value to the stream.
  `final int`
  `bitsPerValue()`
  The number of bits per value.
  `abstract void`
  `finish()`
  Perform end-of-stream operations.
  `protected abstract PackedInts.Format`
  `getFormat()`
  The format used to serialize values.
  `abstract int`
  `ord()`
  Returns the current ord in the stream (number of values that have been written so far minus one).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### out

    protected final DataOutput out

  - ### valueCount

    protected final int valueCount

  - ### bitsPerValue

    protected final int bitsPerValue

- ## Constructor Details

  - ### Writer

    protected Writer(DataOutput out, int valueCount, int bitsPerValue)

- ## Method Details

  - ### getFormat

    protected abstract PackedInts.Format getFormat()
    The format used to serialize values.

  - ### add

    public abstract void add(long v) throws IOException
    Add a value to the stream.
    Throws:
      `IOException`

  - ### bitsPerValue

    public final int bitsPerValue()
    The number of bits per value.

  - ### finish

    public abstract void finish() throws IOException
    Perform end-of-stream operations.
    Throws:
      `IOException`

  - ### ord

    public abstract int ord()
    Returns the current ord in the stream (number of values that have been written so far minus one).